//----------------------------------------------------------------------
// Joining1.java
// Author: Bob Dondero
//----------------------------------------------------------------------

class PrinterThread extends Thread
{
   private String color;

   public PrinterThread(String color) { this.color = color; }

   public void run()
   {
      for (int i = 0; i < 10; i++)
         System.out.println(color);
      System.out.println(color + " thread terminated");
   }
}

//----------------------------------------------------------------------

public class Joining1
{
   public static void main(String[] args)
   {
      PrinterThread blueThread = new PrinterThread("blue");
      PrinterThread redThread = new PrinterThread("red");

      blueThread.start();
      redThread.start();

      try
      {
         blueThread.join();
         redThread.join();
      }
      catch (InterruptedException e)
      {
         Thread.currentThread().interrupt();
      }

      System.out.println("main thread terminated");
   }
}

